/* This file is part of STonX, the Atari ST Emulator for Unix/X
 * ============================================================
 * STonX is free software and comes with NO WARRANTY - read the file
 * COPYING for details
 */
#ifndef ATEXIT_H
#define ATEXIT_H
#include <stdlib.h>

#if NO_CLEAN_EXIT
#define OnExit(_x)
#elif USE_ON_EXIT
#define OnExit(_x) (void)on_exit(_x,0)
#else
#define OnExit(_x) (void)atexit(_x)
#endif

#endif /* ATEXIT_H */
