/* This file is part of STonX, the Atari ST Emulator for Unix/X
 * ============================================================
 * STonX is free software and comes with NO WARRANTY - read the file
 * COPYING for details
 */
#ifndef CONFIG_H
#define CONFIG_H

/* Generic configuration file - a starting point for porting */

#define INLINE inline

/* do we have a register to keep the status register in? */
#undef SRREG

/* do we have a register for the PC? */
#undef PCREG

/* ... one for the NZ flag value? */
#undef NZREG

/* do we need a small "memory model"? */
/* #define SMALL */

/* Make sure we know about the endianness of this system */
#define IS_BIG_ENDIAN 1

#endif /* CONFIG_H */
