/* This file is part of STonX, the Atari ST Emulator for Unix/X
 * ============================================================
 * STonX is free software and comes with NO WARRANTY - read the file
 * COPYING for details
 */
#include "defs.h"
#include "onexit.h"
#include "prof.h"

int show_profile=0;

#if PROFILE
#include "proftabs.c"
void dump_profile (void)
{
	int i;
	if (!show_profile) return;
	for (i=0; i<NUM_OPCODES; i++)
	{
		printf("%20s %8d\n",prof_opname[i],prof_freq[i]);
	}
}

#else
void dump_profile(void)
{
}
#endif /* PROFILE */
