/* This file is part of STonX, the Atari ST Emulator for Unix/X
 * ============================================================
 * STonX is free software and comes with NO WARRANTY - read the file
 * COPYING for details
 */
#include "defs.h"
#include <stdio.h>
extern int verbose;

void load_file (char *file, B *d)
{
	FILE *f = fopen(file, "r");
	if (f == NULL)
	{
		fprintf (stderr, "Error: File `%s' not found!\n", file);
		exit(3);
	}
	verbose && fprintf (stderr, "Loading `%s'...\n", file);
	fread(d,0x7fffffff,1,f); /* FIXME */
}

